Package org.springframework.expression.spel.support

# Class ReflectiveConstructorExecutor

java.lang.Object
org.springframework.expression.spel.support.ReflectiveConstructorExecutor

All Implemented Interfaces:
  `ConstructorExecutor`

public class ReflectiveConstructorExecutor extends Object implements ConstructorExecutor
A simple ConstructorExecutor implementation that runs a constructor using reflective invocation.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ReflectiveConstructorExecutor(Constructor<?> ctor)`

## Method Summary

Modifier and Type
Method
Description
`TypedValue`
`execute(EvaluationContext context, Object... arguments)`
Execute a constructor in the specified context using the specified arguments.
`Constructor<?>`
`getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectiveConstructorExecutor

public ReflectiveConstructorExecutor(Constructor<?> ctor)

## Method Details

### execute

public TypedValue execute(EvaluationContext context, Object... arguments) throws AccessException
Description copied from interface: `ConstructorExecutor`
Execute a constructor in the specified context using the specified arguments.

Specified by:
  `execute` in interface `ConstructorExecutor`
Parameters:
  `context` - the evaluation context in which the constructor is being executed
  `arguments` - the arguments to the constructor; should match (in terms of number and type) whatever the constructor will need to run
Returns:
  the new object
Throws:
  `AccessException` - if there is a problem executing the constructor or if this `ConstructorExecutor` has become stale

### getConstructor

public Constructor<?> getConstructor()